import request from '@/utils/request'
export function list(data) {
  return request({
    url: '/admin/rbac/user/list',
    method: 'post',
    data
  })
}

export function changeStatus(data) {
  return request({
    url: '/admin/rbac/user/updateStatus',
    method: 'post',
    data
  })
}

// 重置密码
export function resetPassword(data) {
  return request({
    url: `/admin/rbac/user/resetUserPassword`,
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: '/admin/rbac/user/save',
    method: 'post',
    data
  })
}

// 更新审核状态
export function audit(data) {
  return request({
    url: '/admin/rbac/user/updateAuditStatus',
    method: 'post',
    data
  })
}
// 更改用户类型
export function convertToTg(data) {
  return request({
    url: '/admin/rbac/user/convertToTg',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: `users/${id}`,
    method: 'post'
  })
}
// 更新用户信息
export function updateUserInfo(data) {
  return request({
    url: '/admin/rbac/user/update',
    method: 'post',
    data
  })
}

export function updatePass(data) {
  return request({
    url: '/admin/rbac/auth/changePassword',
    method: 'post',
    data
  })
}

export function updateEmail(code, data) {
  return request({
    url: `users/updateEmail/${code}`,
    method: 'post',
    data
  })
}

// 修改用户手机号
export function changeMobile(data) {
  return request({
    url: `/admin/rbac/auth/changeMobile`,
    method: 'post',
    data
  })
}
// 后台查询投顾列表
export function advisorList(data) {
  return request({
    url: `/admin/advisor/info/list`,
    method: 'post',
    data
  })
}

// 后台查询用户部门列表
export function listUserDept(data) {
  return request({
    url: `/admin/rbac/user/listUserDept`,
    method: 'post',
    data
  })
}

// 后台新增用户部门
export function saveUserDept(data) {
  return request({
    url: `/admin/rbac/user/saveUserDept`,
    method: 'post',
    data
  })
}

// 后台更新用户部门
export function updateUserDept(data) {
  return request({
    url: `/admin/rbac/user/updateUserDept`,
    method: 'post',
    data
  })
}